Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.annotations
Class AnnotationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.xfire.XFireRuntimeException
                      org.codehaus.xfire.annotations.AnnotationException

All Implemented Interfaces:
  java.io.Serializable

    public class AnnotationException

extends XFireRuntimeException

Thrown when an exception occurs related to XFire's annotation support.

Author:
  Arjen Poutsma
See Also:
  Serialized Form

Constructor Summary
`AnnotationException(java.lang.String message)` Initializes a new `AnnotationException` with the given string message.
`AnnotationException(java.lang.String message, java.lang.Throwable cause)` Initializes a new `AnnotationException` with the given string message and cause.

Method Summary

Methods inherited from class org.codehaus.xfire.XFireRuntimeException
`getActualMessage, getCause, getMessage, prepend, printStackTrace, printStackTrace, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationException

    public AnnotationException(java.lang.String message)

  Initializes a new `AnnotationException` with the given string message.

  Parameters:
    `message` - the message.

### AnnotationException

    public AnnotationException(java.lang.String message,
                               java.lang.Throwable cause)

  Initializes a new `AnnotationException` with the given string message and cause.

  Parameters:
    `message` - the message.
    `cause` - the cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.